Bug 203815 - libXext-1.0.1-2.1.src.rpm needs LBX in order to build
libXext-1.0.1-2.1.src.rpm needs LBX in order to build
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libXext (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 16:30 EDT by Chris Rankin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 12:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rankin 2006-08-23 16:30:14 EDT
Description of problem:
The libXext-1.0.1-2.1.src.rpm package needs the LBX extention to be available
before it can be built. However, the LBX extension has been deprecated.

Version-Release number of selected component (if applicable):
1.0.1-2.1

How reproducible:
All the time.

Steps to Reproduce:
1. rpmbuild --rebuild libXext-1.0.1-2.1.src.rpm

Actual results:
XLbx.c:34:33: error: X11/extensions/XLbx.h: No such file or directory
XLbx.c:35:35: error: X11/extensions/lbxstr.h: No such file or directory
XLbx.c:41: error: 'LBXNAME' undeclared here (not in a function)
XLbx.c: In function 'find_display':
XLbx.c:67: error: 'LbxNumberEvents' undeclared (first use in this function)
XLbx.c:67: error: (Each undeclared identifier is reported only once
XLbx.c:67: error: for each function it appears in.)
XLbx.c: In function 'error_string':
XLbx.c:72: error: 'LbxNumberErrors' undeclared (first use in this function)
XLbx.c: In function 'XLbxQueryVersion':
XLbx.c:108: error: 'xLbxQueryVersionReply' undeclared (first use in this function)
XLbx.c:108: error: expected ';' before 'rep'
XLbx.c:109: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
XLbx.c:109: error: 'req' undeclared (first use in this function)
XLbx.c:114: error: 'sz_xLbxQueryVersionReq' undeclared (first use in this function)
XLbx.c:114: error: 'xLbxQueryVersionReq' undeclared (first use in this
function)XLbx.c:114: error: expected expression before ')' token
XLbx.c:114: error: 'X_LbxQueryVersion' undeclared (first use in this function)
XLbx.c:117: error: 'rep' undeclared (first use in this function)
make[2]: *** [XLbx.lo] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/libXext-1.0.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/libXext-1.0.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.67573 (%build)


RPM build errors:
    InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID 30c9ecf8
    user brewbuilder does not exist - using root
    group brewbuilder does not exist - using root
    user brewbuilder does not exist - using root
    group brewbuilder does not exist - using root
    Bad exit status from /var/tmp/rpm-tmp.67573 (%build)


Expected results:
ibXext-1.0.1-2.1.i386.rpm

Additional info:
I am compiling these packages on FC5, to provide a manual upgrade path to XOrg
7.1. This means that I can't use the prebuilt fc6 packages instead.
Comment 1 Adam Jackson 2006-10-03 12:12:04 EDT
Bleh, bug in xorg-x11-proto-devel.  Fixed in 7.1-10 and later, thanks!

Note You need to log in before you can comment on or make changes to this bug.